> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Prettify Json

> Prettify (format) a JSON string.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/json/prettify
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/json/prettify:
    get:
      tags:
        - JSON Utilities
      summary: Prettify Json
      description: Prettify (format) a JSON string.
      operationId: prettify_json_v1_json_prettify_get
      parameters:
        - name: json_string
          in: query
          required: true
          schema:
            type: string
            description: JSON string to prettify
            title: Json String
          description: JSON string to prettify
        - name: indent
          in: query
          required: false
          schema:
            type: integer
            maximum: 8
            minimum: 1
            description: Indentation spaces
            default: 2
            title: Indent
          description: Indentation spaces
        - name: sort_keys
          in: query
          required: false
          schema:
            type: boolean
            description: Sort keys alphabetically
            default: false
            title: Sort Keys
          description: Sort keys alphabetically
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````